/*
 * MPDclient - Music Player Daemon (MPD) remote for Mac OS
 * Copyright (C) 2019  Old-Geek
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */


#import "MPDService/MPDCache.h"
#import "MPDService/Error/MPDServerError.h"
#import "Widgets/ProgressSlider/ProgressSlider.h"


@interface MainActivity : NSObject <NSApplicationDelegate, NSOutlineViewDelegate, NSOutlineViewDataSource, MPDMainActivityDelegate, MPDErrorDelegate> {
    
    IBOutlet NSSlider *volumeSlider;

    IBOutlet ProgressSlider *progressTrack;
    IBOutlet ProgressSlider *seekToBar;
    
    IBOutlet NSToolbarItem *playImg;
    
    IBOutlet NSTextField *currentArtistAlbum;
    IBOutlet NSTextField *currentSongTitle;
    IBOutlet NSTextField *elapsedTime;
    IBOutlet NSTextField *songLenght;
    
    IBOutlet NSView *sideBarView;
    IBOutlet NSOutlineView *sideBar;
    
    IBOutlet NSView *masterView;
    
    IBOutlet NSButton *addRadio;
    
}


- (IBAction)preferences:(id)sender;
- (IBAction)previousButton:(id)sender;
- (IBAction)playButton:(id)sender;
- (IBAction)stopButton:(id)sender;
- (IBAction)nextButton:(id)sender;
- (IBAction)updateDataBase:(id)sender;
- (IBAction)seekToPosition:(id)sender;

- (IBAction)connecter:(id)sender;
- (IBAction)deconnecter:(id)sender;
- (IBAction)ajouterRadio:(id)sender;
- (IBAction)addNewPlaylist:(id)sender;

- (IBAction)saveCurrentPlayingList:(id)sender;

- (IBAction)purgeCoverCache:(id)sender;
@end
