/*
 * MPDclient - Music Player Daemon (MPD) remote for Mac OS
 * Copyright (C) 2019  Old-Geek
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#import "MPDUtils.h"

@interface Song : NSObject

@property (nonatomic, strong) NSString *artist;
@property (nonatomic, strong) NSString *albumArtist;
@property (nonatomic, strong) NSString *composer;
@property (nonatomic, strong) NSString *album;
@property (nonatomic, strong) NSString *title;
@property (nonatomic, strong) NSString *fullPath;
@property (nonatomic, strong) NSString *genre;
@property (nonatomic, strong) NSString *comment;
@property (nonatomic, strong) NSString *extension;
@property (nonatomic, assign) int track;
@property (nonatomic, assign) int totalTrack;
@property (nonatomic, assign) int diskNb;
@property (nonatomic, assign) int date;
@property (nonatomic, assign) float duration;
@property (nonatomic, assign) int bits;

- (id)initWithMPDSong:(const struct mpd_song *)mpdsong;

@end
