/*
 * MPDclient - Music Player Daemon (MPD) remote for Mac OS
 * Copyright (C) 2019  Old-Geek
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#import "AlbumsView.h"
#import "MPDAlbum.h"
#import "Album.h"


@implementation AlbumsView

@synthesize collectionView;
@synthesize cellArray;

NSNib *itemAlbum;

- (void)awakeFromNib {
        
    [MPDCache sMPDCache].delegateAlbum = self;
    
    itemAlbum = [[NSNib alloc] initWithNibNamed:@"AlbumItem" bundle:nil];
    
    NSMutableArray *firstlist = [NSMutableArray array];

    
    if ([[MPDCache sMPDCache] currentAlbumList] == nil) {
        
        MPDAlbum *mpdAlbum = [[MPDAlbum alloc] init];
        cellArray = mpdAlbum.getAlbumsList;
        [[MPDCache sMPDCache] setCurrentAlbumList:cellArray];

    } else {
        cellArray = [[MPDCache sMPDCache] currentAlbumList];
    }
    
    for (Album *obj in cellArray) {
        
        NSString *album = obj.albumName;
        NSString *artist = obj.artist;
        
        if (album == nil)
            album = @"inconnu";
            
        if (artist == nil)
            artist = @"inconnu";
            
        [firstlist addObject:@{@"albumName":album, @"artistName":artist,  @"pathImage":obj.path} ];
    }
    
    [collectionView registerNib:itemAlbum forItemWithIdentifier:@"AlbumItem"];
    [collectionView setContent:firstlist];
    
}

- (void)onDbUpdate {
    [self awakeFromNib];
    [collectionView setNeedsDisplay:YES];
}


@end
